@charset "UTF-8";

:root {
	--gap: min(12px, 1rem);

	font-family: "Geologica", sans-serif;
	color: var(--text-color);
	text-decoration: none;
	outline: none;
	border: none;
	transition: 0.1s ease-out;
}

/* Selection */
::selection {
	color: var(--text-selected-color);
	background: var(--text-selected-background-color);
}

::-moz-selection {
	color: var(--text-selected-color);
	background: var(--text-selected-background-color);
}

.unselectable {
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.rounded {
	border-radius: 0.75rem;
}

button,
.button {
	padding: 0.4rem 0.8rem;
	font-family: "Geologica", sans-serif;
	font-size: 1rem;
	cursor: pointer;
	border: 2px solid var(--button-background-color-inverted);
	color: var(--text-color);
	background-color: var(--button-background-color);

	&:hover {
		background-color: hsl(from var(--button-background-color) h s 15%) !important;
	}

	&:active {
		background-color: hsl(from var(--button-background-color) h s 10%) !important;
	}
}
